# Repzo API - Supplier

OpenAPI specification for Repzo Supplier endpoints.

**Version:** 1.0.0

## Overview

### Base URLs

- \*\*\*\*: `https://sv.api.repzo.me`

## Authentication

No authentication required.

## Endpoints

### `/supplier`

#### GET /supplier

**Summary:** Find suppliers

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `params` | query | object | No | Query parameters for filtering suppliers |

##### Responses

**200** - A list of suppliers

Content-Type: `application/json`

---

#### POST /supplier

**Summary:** Create a supplier

##### Request Body

**Content Types:**

- `application/json`

##### Responses

**201** - Supplier created

Content-Type: `application/json`

---

### `/supplier/{id}`

#### GET /supplier/{id}

**Summary:** Get a supplier by ID

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Responses

**200** - Supplier details

Content-Type: `application/json`

---

#### PUT /supplier/{id}

**Summary:** Update a supplier

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Request Body

**Content Types:**

- `application/json`

##### Responses

**200** - Supplier updated

Content-Type: `application/json`

---

#### DELETE /supplier/{id}

**Summary:** Remove a supplier

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Responses

**200** - Supplier removed

Content-Type: `application/json`

---

## Data Models

### SupplierFindResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | array | No | No description |

| `meta` | object | No | No description |

### SupplierCreateBody

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `name` | string | No | No description |

| `email` | string | No | No description |

| `phone` | string | No | No description |

| `address` | object | No | No description |

| `integration_meta` | object | No | No description |

| `disabled` | boolean | No | No description |

### SupplierCreateResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | object | No | No description |

### SupplierGetResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | object | No | No description |

### SupplierUpdateBody

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `name` | string | No | No description |

| `email` | string | No | No description |

| `phone` | string | No | No description |

| `address` | object | No | No description |

| `integration_meta` | object | No | No description |

| `disabled` | boolean | No | No description |

### SupplierUpdateResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | object | No | No description |

### SupplierRemoveResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `success` | boolean | No | No description |

### Supplier

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `_id` | string | No | No description |

| `name` | string | No | No description |

| `email` | string | No | No description |

| `phone` | string | No | No description |

| `address` | object | No | No description |

| `integration_meta` | object | No | No description |

| `disabled` | boolean | No | No description |

| `createdAt` | string | No | No description |

| `updatedAt` | string | No | No description |

## TypeScript Usage

See [supplier-examples.md](./supplier-examples.md) for detailed TypeScript usage examples.
